/////////////////////////////////////////////////////////////////////////////
//                                                                           
// Includes

#include <Inventor/nodes/SoCoordinate3.h>
#include <Inventor/nodes/SoQuadMesh.h>

#ifndef GRID_H
#define GRID_H 1

typedef struct         // parameters for the grid
  {
  int                   sDim;      
  int                   tDim;
  SbVec2f               xBounds;   // (xMin, xMax)
  SbVec2f               yBounds;   // (yMin, yMax)

  SoCoordinate3        *coord;     // array of (x,y,z) points
  SoQuadMesh           *mesh;      // interpretation of arrays

  SbBool                resolutionChanged;

  int                   gridpointBudget;
  } 
GridStruct;

#endif

